unit Alchm;

interface

uses WinTypes;
{ -- assorted identifiers for generic DLL functions }
const AL_PLUGTYPE 	=   3;
const AL_PLUGPROCESS	=   4;
const AL_PLUGDESTROY	=   5;
const AL_PLUGUNIQUE	=   6;
const AL_PLUGDIALOG	=   7;
const AL_PLUGBUTTON	=   8;
const AL_PLUGDATA	=   9;
const AL_PLUGMOUSE	=   10;
const AL_PLUGDLLSIZE	=   11;
const AL_PLUGNEXTDLL	=   12;
const AL_PLUGDLLVERIFY	=   13;
const AL_PLUGCOMMAND	=   14;
const AL_PLUGBROADCAST	=   15;
const AL_PLUGACTIVATE	=   16;
const AL_PLUGPAINT	=   17;
const AL_PLUGRESIZE	=   18;
const AL_PLUGRECEIVE	=   19;

{ -- window types }
const AL_WIN_NONE	=   0;
const AL_WIN_HIDDEN	=   1;
const AL_WIN_GRAPHIC	=   2;
const AL_WIN_PLUGIN	=   3;
const AL_WIN_MULTI      =   $1000;

{ -- Returns from PlugProcess }
const AL_IDLE		=  0;
const AL_OK		=  1;
const AL_DIE		=  2;
const AL_HANGUP	        =  3;

{ -- Standard colors }
const AL_BLACK		 =  0;
const AL_RED	         =  1;
const AL_GREEN		 =  2;
const AL_BROWN		 =  3;
const AL_BLUE	         =  4;
const AL_MAGENTA         =  5;
const AL_CYAN	         =  6;
const AL_GRAY		 =  7;
const AL_LTGRAY		 =  8;
const AL_LTRED		 =  9;
const AL_LTGREEN	 =  10;
const AL_YELLOW		 =  11;
const AL_LTBLUE		 =  12;
const AL_LTMAGENTA	 =  13;
const AL_LTCYAN		 =  14;
const AL_WHITE		 =  15;

type tagAlBroadEnter = Record
	MultiID:     Longint;	{ -- ID of registered dll }
	UserID:      Longint;	{ -- ID of person entering }
	Slot:        BYTE;	{ -- the slot the person entered on. }
	First:       array[0..20] of Char;
        Middle:      array[0..20] of Char;
        Last:        array[0..20] of Char;
	Handle:      array[0..40] of Char;
end;

type LPSLOT = LPVOID;
     AlBroadEnter = tagAlBroadEnter;


function  AlLock( SlotH: LPSLOT ):LPVOID;
procedure AlUnlock( SlotH: LPSLOT );
procedure AlMessageBox( SlotH: LPSLOT; messge: PChar; title: PChar;
          code: WORD );
procedure AlMouseDisable( SlotH: LPSLOT );
procedure AlMouseEnable( SlotH: LPSLOT );
procedure AlMouseRelease( SlotH: LPSLOT );
function  AlGrailRequest( SlotH: LPSLOT; table, fields, filter: PChar ):BOOL;
function  AlGetUserID( SlotH: LPSLOT ):LongInt;
function  AlGetPointer( SlotH: LPSLOT ):LPVOID;
procedure AlSetPointer( SlotH: LPSLOT; userPtr: LPVOID );
procedure AlExecDialog( SlotH: LPSLOT );
function  AlLoadDialog( SlotH: LPSLOT; resourceID: PChar; module: HWND ):BOOL;
procedure AlLbAddString( SlotH: LPSLOT; id: WORD; data: PChar );
procedure AlArgs( SlotH: LPSLOT; dest: PChar; len: WORD );

implementation

{-----------------------------------------------------------------------}
function  AlLock( SlotH: LPSLOT ):LPVOID;
                                           external 'ALCHEMW' Index 239;

{-----------------------------------------------------------------------}
procedure AlUnlock( SlotH: LPSLOT );
                                           external 'ALCHEMW' Index 240;

{-----------------------------------------------------------------------}
procedure AlMessageBox( SlotH: LPSLOT; messge: PChar; title: PChar;
                                                            code: WORD );
                                           external 'ALCHEMW' Index 254;

{-----------------------------------------------------------------------}
procedure AlMouseDisable( SlotH: LPSLOT );
                                           external 'ALCHEMW' Index 35;

{-----------------------------------------------------------------------}
procedure AlMouseEnable( SlotH: LPSLOT );
                                           external 'ALCHEMW' Index 36;

{-----------------------------------------------------------------------}
procedure AlMouseRelease( SlotH: LPSLOT );
                                           external 'ALCHEMW' Index 37;


{-----------------------------------------------------------------------}
function  AlGrailRequest( SlotH: LPSLOT; table, fields, filter: PChar ):BOOL;
                                           external 'ALCHEMW' Index 255;


{-----------------------------------------------------------------------}
function  AlGetUserID( SlotH: LPSLOT ):LongInt;
                                            external 'ALCHEMW' Index 123;


{-----------------------------------------------------------------------}
function  AlGetPointer( SlotH: LPSLOT ):LPVOID;
                                           external 'ALCHEMW' Index 303;


{-----------------------------------------------------------------------}
procedure AlSetPointer( SlotH: LPSLOT; userPtr: LPVOID );
                                           external 'ALCHEMW' Index 304;

{-----------------------------------------------------------------------}
procedure AlExecDialog( SlotH: LPSLOT );
                                           external 'ALCHEMW' Index 2;

{-----------------------------------------------------------------------}
function  AlLoadDialog( SlotH: LPSLOT; resourceID: PChar; module: HWND ):BOOL;
                                           external 'ALCHEMW' Index 3;


{-----------------------------------------------------------------------}
procedure AlLbAddString( SlotH: LPSLOT; id: WORD; data: PChar );
                                           external 'ALCHEMW' Index 8;

{-----------------------------------------------------------------------}
procedure  AlArgs( SlotH: LPSLOT; dest: PChar; len: WORD );
                                           external 'ALCHEMW' Index 234;
end.
